commit: 9061e0556951f986d3e187873d78bf655f894080
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 1 18:39:51 2018 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Nov 1 19:46:45 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9061e055
media-libs/libmtp: Simplify live proceedings
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11
media-libs/libmtp/libmtp-1.1.16.ebuild | 9 ++++-----
media-libs/libmtp/libmtp-9999.ebuild | 9 ++++-----
2 files changed, 8 insertions(+), 10 deletions(-)
diff --git a/media-libs/libmtp/libmtp-1.1.16.ebuild
b/media-libs/libmtp/libmtp-1.1.16.ebuild
index ab1ccf9d3d5..891ca253c66 100644
--- a/media-libs/libmtp/libmtp-1.1.16.ebuild
+++ b/media-libs/libmtp/libmtp-1.1.16.ebuild
@@ -24,6 +24,7 @@ RDEPEND="virtual/libusb:1
crypt? ( >=dev-libs/libgcrypt-1.5.4:0= )"
DEPEND="${RDEPEND}"
BDEPEND="
+ >sys-devel/gettext-0.18.3
virtual/pkgconfig
doc? ( app-doc/doxygen )"
@@ -40,12 +41,10 @@ src_prepare() {
rm ChangeLog || die
if [[ ${PV} == 9999* ]]; then
- local crpthf=config.rpath
- local crpthd=/usr/share/gettext/${crpthf}
- if has_version '>sys-devel/gettext-0.18.3' && [[ -e ${crpthd}
]]; then
- cp "${crpthd}" . || die
+ if [[ -e /usr/share/gettext/config.rpath ]]; then
+ cp /usr/share/gettext/config.rpath . || die
else
- touch ${crpthf} || die # This is from upstream
autogen.sh
+ touch config.rpath || die # This is from upstream
autogen.sh
fi
eautoreconf
fi
diff --git a/media-libs/libmtp/libmtp-9999.ebuild
b/media-libs/libmtp/libmtp-9999.ebuild
index ab1ccf9d3d5..54647efd4ca 100644
--- a/media-libs/libmtp/libmtp-9999.ebuild
+++ b/media-libs/libmtp/libmtp-9999.ebuild
@@ -24,6 +24,7 @@ RDEPEND="virtual/libusb:1
crypt? ( >=dev-libs/libgcrypt-1.5.4:0= )"
DEPEND="${RDEPEND}"
BDEPEND="
+ >sys-devel/gettext-0.18.3
virtual/pkgconfig
doc? ( app-doc/doxygen )"
@@ -40,12 +41,10 @@ src_prepare() {
rm ChangeLog || die
if [[ ${PV} == 9999* ]]; then
- local crpthf=config.rpath
- local crpthd=/usr/share/gettext/${crpthf}
- if has_version '>sys-devel/gettext-0.18.3' && [[ -e ${crpthd}
]]; then
- cp "${crpthd}" . || die
+ if [[ -e crpthd=/usr/share/gettext/config.rpath ]]; then
+ cp crpthd=/usr/share/gettext/config.rpath . || die
else
- touch ${crpthf} || die # This is from upstream
autogen.sh
+ touch config.rpath || die # This is from upstream
autogen.sh
fi
eautoreconf
fi